summaryrefslogtreecommitdiffstats
path: root/support/dependencies/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/dependencies/dependencies.sh')
-rwxr-xr-xsupport/dependencies/dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 58c34d880f..826874baa2 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -181,6 +181,14 @@ if test "${missing_progs}" = "yes" ; then
exit 1
fi
+# Check that the python version is at least 2.7
+PYTHON_VERSION=$(python -V 2>&1 |awk '{ split($2, v, "."); print v[1] v[2] }')
+if [ $PYTHON_VERSION -lt 27 ]; then
+ echo
+ echo "You have '$(python -V 2>&1)' installed. Python >= 2.7 is required"
+ exit 1;
+fi
+
if grep ^BR2_NEEDS_HOST_UTF8_LOCALE=y $BR2_CONFIG > /dev/null; then
if ! which locale > /dev/null ; then
echo
OpenPOWER on IntegriCloud